Robot Simulator of the Robotics Group for Self-Organization of Control: printInternals.h File Reference

# printInternals.h File Reference

`#include "inspectable.h"`
`#include "types.h"`
Include dependency graph for printInternals.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | printInternalParameterNames (FILE *f, int sensornumber, int motornumber, const std::list< const Inspectable * > &inspectables)
| prints the names of the sensor and motor channels and the names of the internal parameters of all inspectable object to the given file (stream) (Headline)
void | printInspectableInfoLines (FILE *f, const std::list< const Inspectable * > &inspectables)
void | printInspectables (FILE *f, const std::list< const Inspectable * > &inspectables)
void | printInspectableNames (FILE *f, const std::list< const Inspectable * > &inspectables)
void | printInternalParameters (FILE *f, double time, const sensor *x, int sensornumber, const motor *y, int motornumber, const std::list< const Inspectable * > &inspectables)
| prints the values of the motors and sensors and the internal parameters of the inspectable objects to a file or stream
void | printNetworkDescription (FILE *f, const std::string &name, const Inspectable *inspectable)
| prints a network description of the structure given by the inspectable object.

## Function Documentation

void printInspectableInfoLines | ( | FILE * | f,
|  | const std::list< const Inspectable * > & | inspectables |
| ) |  |  |

void printInspectableNames | ( | FILE * | f,
|  | const std::list< const Inspectable * > & | inspectables |
| ) |  |  |

void printInspectables | ( | FILE * | f,
|  | const std::list< const Inspectable * > & | inspectables |
| ) |  |  |

void printInternalParameterNames | ( | FILE * | f,
|  | int | sensornumber,
|  | int | motornumber,
|  | const std::list< const Inspectable * > & | inspectables |
| ) |  |  |

prints the names of the sensor and motor channels and the names of the internal parameters of all inspectable object to the given file (stream) (Headline)

void printInternalParameters | ( | FILE * | f,
|  | double | time,
|  | const sensor * | x,
|  | int | sensornumber,
|  | const motor * | y,
|  | int | motornumber,
|  | const std::list< const Inspectable * > & | inspectables |
| ) |  |  |

prints the values of the motors and sensors and the internal parameters of the inspectable objects to a file or stream

void printNetworkDescription | ( | FILE * | f,
|  | const std::string & | name,
|  | const Inspectable * | inspectable |
| ) |  |  |

prints a network description of the structure given by the inspectable object.

The network description syntax is as follow

        #N neural_net NETWORKNAME
        #N layer LAYERNAME1 RANK?
        #N neuron N0 BIASN0?
        #N neuron N1 BIASN1?
        #N layer LAYERNAME2 RANK?
        #N neuron K0 BIASK0?
        #N neuron K1 BIASK1?
        ...
        #N connection C00 N0 K0
        #N connection C10 N0 K1
        #N connection C01 N1 K0
        #N connection C11 N1 K1
        ...
        #N nn_end

All identifiers are alphanumeric without spaces.